## libktoblzcheck 1.50

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.0)

project(ktoblzcheck VERSION 1.50.0)

# define path for local cmake modules
list(APPEND CMAKE_MODULE_PATH ${CMAKE_SOURCE_DIR}/cmake)

########### options ###############
option(ENABLE_BANKDATA_DOWNLOAD "Enable download of raw bank data file" ON)
option(INSTALL_RAW_BANKDATA_FILE "Install raw bank data file" OFF)

########### global settings ###############
set(BANK_WEBSITE_HOST https://www.bundesbank.de)
set(BANK_WEBSITE_PATH /de/aufgaben/unbarer-zahlungsverkehr/serviceangebot/bankleitzahlen/download---bankleitzahlen-602592)

# provide gnu compatible install dirs
include(GNUInstallDirs)

# definitions for running cross compile applications
include(MacrosWine)

# set PACKAGE_... variables
include(MacrosAutotools)
autopackage(${PROJECT_NAME} ${PROJECT_VERSION} "${PROJECT_HOMEPAGE_URL}" "https://sourceforge.net/projects/ktoblzcheck/support")

# definitions in source file
set(KTOBLZCHECK_VERSION_MAJOR ${PROJECT_VERSION_MAJOR})
set(KTOBLZCHECK_VERSION_MINOR ${PROJECT_VERSION_MINOR})
set(KTOBLZCHECK_VERSION_PATCH ${PROJECT_VERSION_PATCH})

# shared library version numbers
set(LIBKTOBLZCHECK_CURRENT 6)
set(LIBKTOBLZCHECK_AGE 5)
set(LIBKTOBLZCHECK_REVISION 26)
math(EXPR LIBKTOBLZCHECK_EFFECTIVE "${LIBKTOBLZCHECK_CURRENT} - ${LIBKTOBLZCHECK_AGE}")

if(WIN32)
    set(OS_WIN32 1)
endif()

# target build dir defaults
set(CMAKE_ARCHIVE_OUTPUT_DIRECTORY "${CMAKE_BINARY_DIR}/lib")
set(CMAKE_RUNTIME_OUTPUT_DIRECTORY "${CMAKE_BINARY_DIR}/bin")
if(WIN32)
   set(CMAKE_LIBRARY_OUTPUT_DIRECTORY "${CMAKE_BINARY_DIR}/bin")
   set(CUSTOM_INSTALL_LIBDIR ${CMAKE_INSTALL_BINDIR})
else()
   set(CMAKE_LIBRARY_OUTPUT_DIRECTORY "${CMAKE_BINARY_DIR}/lib")
   set(CUSTOM_INSTALL_LIBDIR ${CMAKE_INSTALL_LIBDIR})
endif()

# target install defaults
set(INSTALL_TARGETS_DEFAULT_ARGS
    EXPORT KtoBlzCheckTargets
    RUNTIME DESTINATION ${CMAKE_INSTALL_BINDIR}
    LIBRARY DESTINATION ${CMAKE_INSTALL_LIBDIR}
    ARCHIVE DESTINATION ${CMAKE_INSTALL_LIBDIR}
)

# for embedding into installed header files
set(VERSION_MAJOR ${KTOBLZCHECK_VERSION_MAJOR})
set(VERSION_MINOR ${KTOBLZCHECK_VERSION_MINOR})

########### external packages ###############
find_package(Doxygen "1.8.3")

set(CMAKE_THREAD_PREFER_PTHREAD 1)
find_package(Threads REQUIRED)
if(CMAKE_USE_PTHREADS_INIT)
    set(HAVE_LIBPTHREAD 1)
endif()

find_package(Python2 COMPONENTS Interpreter Development)
# for cmake < 3.12
if(NOT Python2_Interpreter_FOUND)
    find_package(PythonInterp 2.7 REQUIRED)
    set(Python2_Interpreter_FOUND TRUE)
    set(Python2_EXECUTABLE ${PYTHON_EXECUTABLE})
endif()
if(Python2_Development_FOUND)
    string(REGEX REPLACE "^([0-9]+.[0-9]+).*" "\\1" Python2_VERSION_MAJOR_MINOR ${Python2_VERSION})
else()
    find_package(PythonLibs 2.6 REQUIRED)
    set(Python2_Development_FOUND TRUE)
    set(Python2_VERSION ${PYTHONLIBS_VERSION_STRING})
    string(REGEX REPLACE "^([0-9]+.[0-9]+).*" "\\1" Python2_VERSION_MAJOR_MINOR ${Python2_VERSION})
    set(Python2_SITEARCH "${CMAKE_INSTALL_LIBDIR}/python${Python2_VERSION_MAJOR_MINOR}/site-packages")
endif()

########### configure checks ###############
include(CheckIncludeFile)
check_include_file(dirent.h     HAVE_DIRENT_H)
check_include_file(dlfcn.h      HAVE_DLFCN_H)
check_include_file(inttypes.h   HAVE_INTTYPES_H)
check_include_file(memory.h     HAVE_MEMORY_H)
check_include_file(stdint.h     HAVE_STDINT_H)
check_include_file(stdlib.h     HAVE_STDLIB_H)
check_include_file(stdio.h      HAVE_STDIO_H)
check_include_file(string.h     HAVE_STRING_H)
check_include_file(strings.h    HAVE_STRINGS_H)
check_include_file(syslog.h     HAVE_SYSLOG_H)
check_include_file(sys/stat.h   HAVE_SYS_STAT_H)
check_include_file(sys/types.h  HAVE_SYS_TYPES_H)
check_include_file(windows.h    HAVE_WINDOWS_H)

include(CheckTypeSize)
check_type_size("long long" LONG_LONG)


# bankdata related variables
set(BANKDATA_SRCPATH ${CMAKE_SOURCE_DIR}/src/bankdata)
if(ENABLE_BANKDATA_DOWNLOAD)
    string(TIMESTAMP _BANKDATA_FILE "bankdata_%Y%m%d.txt")
    set(BANKDATA_FILE ${_BANKDATA_FILE})
    set(BANKDATA_FILEPATH "${BANKDATA_SRCPATH}/${BANKDATA_FILE}")
    message(STATUS "Using bank data file ${BANKDATA_FILEPATH}")

    string(TIMESTAMP _BANKDATA_RAW_FILE "blz_%Y%m%d.txt")
    set(BANKDATA_RAW_FILE ${_BANKDATA_RAW_FILE})
    set(BANKDATA_RAW_FILEPATH "${BANKDATA_SRCPATH}/${BANKDATA_RAW_FILE}")
    message(STATUS "Using raw bank data file ${BANKDATA_RAW_FILEPATH}")
else()
    file(GLOB BANKDATA_FILEPATH  "${BANKDATA_SRCPATH}/bankdata_*.txt")
    get_filename_component(BANKDATA_FILE ${BANKDATA_FILEPATH} NAME)
    message(STATUS "Using present bank data file ${BANKDATA_FILEPATH}")

    file(GLOB BANKDATA_RAW_FILEPATH  "${BANKDATA_SRCPATH}/blz_*.txt")
    get_filename_component(BANKDATA_RAW_FILE ${BANKDATA_RAW_FILEPATH} NAME)
    message(STATUS "Using present raw bank data file ${BANKDATA_RAW_FILEPATH}")
endif()


########### generate pkgconfig file ###############
set(prefix "\${pcfiledir}/../..")
set(exec_prefix "\${prefix}")
set(bindir "\${prefix}/${CMAKE_INSTALL_BINDIR}")
set(libdir "\${prefix}/${CMAKE_INSTALL_LIBDIR}")
set(includedir "\${prefix}/${CMAKE_INSTALL_INCLUDEDIR}")
set(datadir "\${prefix}/${CMAKE_INSTALL_DATADIR}")
set(BANKDATA_PATH "\${pkgdatadir}")
if (Python2_Development_FOUND)
    set(pythondir "\${prefix}/${Python2_SITEARCH}")
endif()

configure_file(${PACKAGE}.pc.in ${CMAKE_CURRENT_BINARY_DIR}/${PACKAGE}.pc)
install(FILES ${CMAKE_CURRENT_BINARY_DIR}/${PACKAGE}.pc DESTINATION ${CMAKE_INSTALL_LIBDIR}/pkgconfig)

########### generate cmake find_package file ###############
include(CMakePackageConfigHelpers)

set(INSTALL_CMAKE_DIR ${CMAKE_INSTALL_LIBDIR}/cmake/KtoBlzCheck)
configure_package_config_file(KtoBlzCheckConfig.cmake.in
    ${CMAKE_CURRENT_BINARY_DIR}/KtoBlzCheckConfig.cmake
    INSTALL_DESTINATION ${INSTALL_CMAKE_DIR}
)
write_basic_package_version_file(
    ${CMAKE_CURRENT_BINARY_DIR}/KtoBlzCheckConfigVersion.cmake
    VERSION ${PROJECT_VERSION}
    COMPATIBILITY AnyNewerVersion
)

install(EXPORT KtoBlzCheckTargets
    FILE KtoBlzCheckTargets.cmake
    DESTINATION ${INSTALL_CMAKE_DIR}
)

# used by install autotests
export(EXPORT KtoBlzCheckTargets FILE KtoBlzCheckTargets.cmake)

install(FILES
    ${CMAKE_CURRENT_BINARY_DIR}/KtoBlzCheckConfig.cmake
    ${CMAKE_CURRENT_BINARY_DIR}/KtoBlzCheckConfigVersion.cmake
    DESTINATION ${INSTALL_CMAKE_DIR}
)

########### generate config.h ###############
configure_file(${CMAKE_CURRENT_SOURCE_DIR}/config.h.cmake ${CMAKE_CURRENT_BINARY_DIR}/config.h)
add_definitions(
    -DHAVE_CONFIG_H
)

########### generate spec file ###############
configure_file(ktoblzcheck.spec.in ${CMAKE_BINARY_DIR}/ktoblzcheck.spec)

########### generate tarball ###############
set(tarname ${PACKAGE}-${PROJECT_VERSION})
set(temppath ${CMAKE_BINARY_DIR}/tmp/${tarname})
set(tarball ${CMAKE_BINARY_DIR}/${tarname}.tar.xz)
add_custom_command(OUTPUT ${temppath}
    COMMAND ${CMAKE_COMMAND} -E make_directory ${temppath}
)

add_custom_target(dist
    COMMAND ${CMAKE_COMMAND} -E copy_directory ${CMAKE_SOURCE_DIR}  ${temppath}
    COMMAND ${CMAKE_COMMAND} -E copy ${CMAKE_BINARY_DIR}/config.h.cmake ${temppath}
    COMMAND ${CMAKE_COMMAND} -E copy ${CMAKE_BINARY_DIR}/ktoblzcheck.spec ${temppath}
    COMMAND ${CMAKE_COMMAND} -E tar -cJf ${tarball} ${tarname}
    WORKING_DIRECTORY ${CMAKE_BINARY_DIR}/tmp
    COMMENT "generating ${tarball}"
    DEPENDS ${temppath} ${CMAKE_BINARY_DIR}/ktoblzcheck.spec ${CMAKE_BINARY_DIR}/config.h.cmake
)

add_custom_target(rpm
    COMMAND rpmbuild -ta ${tarball}
    WORKING_DIRECTORY ${CMAKE_BINARY_DIR}
    COMMENT "generating rpm file"
    DEPENDS dist
)

add_custom_target(srpm
    COMMAND rpmbuild -ts ${tarball}
    WORKING_DIRECTORY ${CMAKE_BINARY_DIR}
    COMMENT "generating srpm file"
    DEPENDS dist
)

########### generate installer ###############
if(WIN32)
    find_file(
        ISCC_EXECUTABLE ISCC.exe
        PATH
            ${ISCC_DIR}
            "$ENV{ProgramFiles}/Inno\ Setup\ 5/"
            "$ENV{ProgramFiles}/Inno\ Setup\ 6/"
        NO_DEFAULT_PATH
    )
    if (ISCC_EXECUTABLE)
        message(STATUS "Inno Setup compiler found at ${ISCC_EXECUTABLE}")
        configure_file(${CMAKE_CURRENT_SOURCE_DIR}/ktoblzcheck.iss.in ${CMAKE_CURRENT_BINARY_DIR}/ktoblzcheck.iss)
        set(FILES "README;COPYING;README.WIN32;AUTHORS;ChangeLog")
        foreach(f ${FILES})
            configure_file(${CMAKE_CURRENT_SOURCE_DIR}/${f} ${CMAKE_CURRENT_BINARY_DIR}/${f} COPYONLY)
        endforeach()
        add_custom_target(setup
            COMMAND ${CMAKE_MAKE_PROGRAM} install DESTDIR=${CMAKE_CURRENT_BINARY_DIR}/win32-tmp
            COMMAND ${CMAKE_COMMAND} -E copy_directory
                ${CMAKE_CURRENT_BINARY_DIR}/win32-tmp${CMAKE_INSTALL_PREFIX}
                ${CMAKE_CURRENT_BINARY_DIR}/win32-tmp
            COMMAND wine ${ISCC_EXECUTABLE} z:${CMAKE_CURRENT_BINARY_DIR}/ktoblzcheck.iss
            WORKING_DIRECTORY ${CMAKE_CURRENT_BINARY_DIR}
        )
    endif()
endif()

# enable ctest
enable_testing()

add_subdirectory(autotests)
add_subdirectory(src)
add_subdirectory(doc)

=== doc/CMakeLists.txt ===

# build doc always
add_custom_target(doc ALL)

if(DOXYGEN_EXECUTABLE)
    set(ENABLE_DOXYGEN_DOCS 1)
endif()

if(ENABLE_DOXYGEN_DOCS)
    set (top_srcdir ${CMAKE_SOURCE_DIR})
    configure_file(../Doxyfile.in ${CMAKE_BINARY_DIR}/Doxyfile )
    add_custom_command(
        OUTPUT ${CMAKE_CURRENT_BINARY_DIR}/api/html/index.html
        COMMAND ${DOXYGEN_EXECUTABLE} ${CMAKE_BINARY_DIR}/Doxyfile
        WORKING_DIRECTORY ${CMAKE_BINARY_DIR}
    )
    add_custom_target(apidoc
        DEPENDS ${CMAKE_CURRENT_BINARY_DIR}/api/html/index.html
    )
    add_dependencies(doc apidoc)
    install(DIRECTORY ${CMAKE_BINARY_DIR}/apidoc/html/ DESTINATION ${CMAKE_INSTALL_DATADIR}/doc/ktoblzcheck/api)
endif()

install(FILES ktoblzcheck.1 DESTINATION ${CMAKE_INSTALL_DATADIR}/man/man1)

=== src/CMakeLists.txt ===

include_directories(
    include
    ${CMAKE_BINARY_DIR}
    ${CMAKE_BINARY_DIR}/src/include
)

add_subdirectory(bankdata)
add_subdirectory(include)
add_subdirectory(lib)
add_subdirectory(bin)
if(Python2_Development_FOUND)
    add_subdirectory(python)
endif()

=== autotests/install/CMakeLists.txt ===
project(ktoblzcheck_install)
cmake_minimum_required(VERSION 3.0)

cmake_policy(SET CMP0065 OLD)

find_package(KtoBlzCheck ${CHECK_VERSION} REQUIRED)

include_directories(${KtoBlzCheck_DIR}/src/include)

add_executable(mytest mytest.cc)
target_link_libraries(mytest ktoblzcheck)

install(TARGETS mytest RUNTIME DESTINATION bin)

=== src/bankdata/CMakeLists.txt ===

set(BANK_WEBSITE_URL ${BANK_WEBSITE_HOST}${BANK_WEBSITE_PATH})

set(TEMP_FILE "${CMAKE_CURRENT_BINARY_DIR}/tmpfile.txt")
set(SEARCH_FILENAME blz-aktuell-txt-data.txt)

# generate cmake script for downloading bank data file
file(WRITE ${CMAKE_CURRENT_BINARY_DIR}/tmp.cmake "
    file(DOWNLOAD \"${BANK_WEBSITE_URL}\" \"${TEMP_FILE}\")
    file(READ \"${TEMP_FILE}\" DATA)
    #message(\"\${DATA}\")
    string(REGEX REPLACE \".*href=\\\"(.*/${SEARCH_FILENAME})\\\".*\" \"${BANK_WEBSITE_HOST}/\\\\1\" FILE_URL  \"\${DATA}\")
    message(\"got file url \${FILE_URL}\")
    file(DOWNLOAD \"\${FILE_URL}\" \"${BANKDATA_RAW_FILEPATH}\")
")

# fetch raw bankdata file
add_custom_command(
    OUTPUT ${BANKDATA_RAW_FILEPATH}
    COMMAND ${CMAKE_COMMAND} -P ${CMAKE_CURRENT_BINARY_DIR}/tmp.cmake
    WORKING_DIRECTORY ${CMAKE_CURRENT_BINARY_DIR}
    COMMENT "Download raw bank data file to ${BANKDATA_RAW_FILEPATH}"
)

# convert into ktoblzcheck format
add_custom_command(
    OUTPUT ${BANKDATA_FILEPATH}
    COMMAND ${Python2_EXECUTABLE} ${CMAKE_CURRENT_SOURCE_DIR}/bankdata.py -o ${BANKDATA_FILEPATH} ${BANKDATA_RAW_FILEPATH}
    DEPENDS ${BANKDATA_RAW_FILEPATH}
    WORKING_DIRECTORY ${CMAKE_CURRENT_BINARY_DIR}
)

add_custom_target(fetch_bankdata
    DEPENDS ${BANKDATA_RAW_FILENAME}
)

add_custom_target(bankdata_de
    DEPENDS ${BANKDATA_FILEPATH}
)

set(INSTALL_FILES
    ${BANKDATA_FILEPATH}
    ibandata.txt
)

if(INSTALL_RAW_BANKDATA_FILE)
    list(APPEND INSTALL_FILES ${BANKDATA_RAW_FILEPATH})
endif()

install(FILES ${INSTALL_FILES} DESTINATION share/${PROJECT_NAME})

=== src/bin/CMakeLists.txt ===

########### next target ###############

set(ktoblzcheck_bin_SRCS ktoblzcheck.cc)
add_executable(ktoblzcheck-bin ${ktoblzcheck_bin_SRCS})
target_link_libraries(ktoblzcheck-bin ktoblzcheck)
set_target_properties(ktoblzcheck-bin PROPERTIES OUTPUT_NAME ktoblzcheck)

install(TARGETS ktoblzcheck-bin DESTINATION bin)

add_test(
    NAME ktoblzcheck
    COMMAND ${TEST_WRAPPER} $<TARGET_FILE:ktoblzcheck-bin> --file=${TEST_PATH_PREFIX}${BANKDATA_FILEPATH} 20050550 1262693334
)

## This check should return 1. If not, error
#add_test(
#    NAME ktoblzcheck_invalid
#    COMMAND $<TARGET_FILE:ktoblzcheck-bin> --file=${BANKDATA_LOCAL_FILEPATH} 20050550 1262693333
#)

set(ctest_SRCS ctest.c)
add_executable(ctest ${ctest_SRCS})

########### next target ###############

set(benchmark_SRCS benchmark.cc)
add_executable(benchmark ${benchmark_SRCS})
target_link_libraries(benchmark ktoblzcheck)

add_test(
    NAME benchmark
    COMMAND ${TEST_WRAPPER} $<TARGET_FILE:benchmark> 5 ${TEST_PATH_PREFIX}${BANKDATA_FILEPATH}
)

########### next target ###############

#
# TODO:  seems to be redundant (see lib)
#
set(ibanchk_SRCS ibanchk.cc)
add_executable(ibanchk ${ibanchk_SRCS})
target_link_libraries(ibanchk ktoblzcheck)

# not working yet because of different return code
#add_test(
#    NAME ibanchk_invalid
#    COMMAND $<TARGET_FILE:ibanchk> "FR1420041010050500013X02606"
#)

add_test(
    NAME ibanchk_de
    COMMAND ${TEST_WRAPPER} $<TARGET_FILE:ibanchk> "DE89 3704 0044 0532 0130 00"
)
set_tests_properties(ibanchk_de PROPERTIES
    ENVIRONMENT XDG_DATA_DIRS=${TEST_PATH_PREFIX}${CMAKE_SOURCE_DIR}/src/bankdata
)

add_test(
    NAME ibanchk_fr
    COMMAND ${TEST_WRAPPER} $<TARGET_FILE:ibanchk> "fr14 2004 1010 0505 0001 3m02 606"
)
set_tests_properties(ibanchk_fr PROPERTIES
    ENVIRONMENT XDG_DATA_DIRS=${TEST_PATH_PREFIX}${CMAKE_SOURCE_DIR}/src/bankdata
)

=== src/lib/CMakeLists.txt ===

include_directories(
    ${CMAKE_SOURCE_DIR}/src/include
    ${CMAKE_BINARY_DIR}
    ${CMAKE_BINARY_DIR}/src/include
)

########### next target ###############

set(ktoblzcheck_LIB_SRCS
    ktoblzcheck.cc
    methods.cc
    algorithms.cc
    accnum.cc
    iban.cc
)

add_library(ktoblzcheck SHARED ${ktoblzcheck_LIB_SRCS})
target_link_libraries(ktoblzcheck stdc++)
if(WIN32)
    set_target_properties(ktoblzcheck PROPERTIES SUFFIX "-${LIBKTOBLZCHECK_EFFECTIVE}${CMAKE_SHARED_LIBRARY_SUFFIX}")
else()
    set_target_properties(ktoblzcheck PROPERTIES VERSION ${LIBKTOBLZCHECK_EFFECTIVE}.${LIBKTOBLZCHECK_AGE}.${LIBKTOBLZCHECK_REVISION} SOVERSION ${LIBKTOBLZCHECK_EFFECTIVE})
endif()

add_dependencies(ktoblzcheck bankdata_de)

install(TARGETS ktoblzcheck ${INSTALL_TARGETS_DEFAULT_ARGS})

########### next target ###############

set(iban_check_SRCS iban_check.cc)
add_executable(iban_check ${iban_check_SRCS})
target_link_libraries(iban_check ktoblzcheck)
add_test(
    NAME iban_check
    COMMAND ${TEST_WRAPPER} $<TARGET_FILE:iban_check>
)
set(env "BANKDATA_SRCPATH=${BANKDATA_SRCPATH}")
set_tests_properties(iban_check PROPERTIES ENVIRONMENT "${env}")

########### next target ###############

set(date_test_SRCS ktoblzcheck.cc)
add_executable(date_test ${date_test_SRCS})
target_link_libraries(date_test)
target_compile_definitions(date_test PUBLIC ONLY_EXTRACT_DATE_TEST=1)
add_test(
    NAME date_test
    COMMAND ${TEST_WRAPPER} $<TARGET_FILE:date_test>
)

=== src/python/CMakeLists.txt ===

install(FILES ktoblzcheck.py DESTINATION ${Python2_SITEARCH})

if(Python2_Interpreter_FOUND)
add_test(
    NAME test-python
    COMMAND ${Python2_EXECUTABLE} ${CMAKE_CURRENT_SOURCE_DIR}/test_ktoblzcheck.py
)
set_tests_properties(test-python PROPERTIES
    ENVIRONMENT "LD_LIBRARY_PATH=${CMAKE_BINARY_DIR}/lib;XDG_DATA_DIRS=${CMAKE_SOURCE_DIR}/src/bankdata"
)
endif()

## libktoblzcheck 1.33

=== debian/changelog ===
libktoblzcheck (1.33-1) unstable; urgency=low

  * New upstream release that fixes the soname mess.

 -- Micha Lenk <micha@debian.org>  Tue, 07 Jun 2011 23:01:07 +0200

libktoblzcheck (1.32.really.is.1.31-2) unstable; urgency=low

  * Re-upload of upstream version 1.31 to fix weird (backwards) soname bump
    (closes: #629362).
  * Remove lintian override again, lintian was right. Shame on me...
  * Remove unneeded debian/*.dirs files.

 -- Micha Lenk <micha@debian.org>  Mon, 06 Jun 2011 08:51:19 +0200

libktoblzcheck (1.32-1) unstable; urgency=low

  * New upstream release
  * Switch to dpkg-source 3.0 (quilt) format and add the files config.sub and
    config.guess to extend-diff-ignore in debian/source/options. This allows us
    to greatly condense the debian/rules file.
  * Use dh_python2 instead of deprecated python-central (closes: #616866).
    Changes in debian/control:
    - remove python-central from build dependencies
    - add version requirement for build dependency on python-all-dev >= 2.6.6-3~
    - move field XS-Python-Version (deprecated) to X-Python-Version
    - drop all XB-Python-Version fields (now obsolete)
    Changes in debian/rules:
    - call dh sequencer "--with python2" instead of "--with python-central"
  * debian/control: drop obsolete version requirements from build dependencies.
  * debian/control: bump version in build-dep on debhelper due to used overrides
    (thanks to lintian for pointing it out).
  * Package is compliant to Debian Policy 3.9.2.0 (no changes needed).
  * debian/*.docs: drop file TODO which was removed upstream.
  * Add lintian override for soname not matching libktoblzcheck1c2a.
  * debian/control: Remove duplicate section 'libs' from binary package
    libktoblzcheck1c2a (thanks to lintian for the hint).

 -- Micha Lenk <micha@debian.org>  Sun, 05 Jun 2011 01:27:54 +0200

libktoblzcheck (1.31-1) unstable; urgency=low

  * New upstream release

 -- Micha Lenk <micha@debian.org>  Sun, 13 Feb 2011 22:49:04 +0100

libktoblzcheck (1.29-1) unstable; urgency=low

  * New upstream release

 -- Micha Lenk <micha@debian.org>  Sun, 12 Dec 2010 13:18:31 +0100

libktoblzcheck (1.28-1) unstable; urgency=low

  * New upstream release
  * Dropped three obsolete Conflicts/Replaces dependencies:
    - libktoblzcheck1c2a on libktoblzcheck1, last released in Debian Sarge
    - ktoblzcheck on ktoblzcheck-bin (< 1.14-3), last released in Debian Etch
    - ktoblzcheck on libktoblzcheck1c2a (< 1.18), version predates Debian Lenny
  * Package is compliant to Debian Policy 3.9.1

 -- Micha Lenk <micha@debian.org>  Sat, 21 Aug 2010 15:19:01 +0200

libktoblzcheck (1.27-1) unstable; urgency=low

  * New upstream release

 -- Micha Lenk <micha@debian.org>  Mon, 17 May 2010 20:19:28 +0200

libktoblzcheck (1.26-1) unstable; urgency=low

  * New upstream release

 -- Micha Lenk <micha@debian.org>  Wed, 17 Mar 2010 21:22:13 +0100

libktoblzcheck (1.25-1) unstable; urgency=low

  * New upstream release
  * Package is compliant to Debian Policy 3.8.4 (no changes needed)

 -- Micha Lenk <micha@debian.org>  Wed, 03 Mar 2010 19:30:24 +0100

libktoblzcheck (1.24-2) unstable; urgency=low

  * Removed dependency on deprecated package python-ctypes and bump minimal
    Python version to 2.5 (closes: #562473).

 -- Micha Lenk <micha@debian.org>  Sun, 10 Jan 2010 13:57:08 +0100

libktoblzcheck (1.24-1) unstable; urgency=low

  * New upstream release
  * Update maintainer's mail address and drop DM upload privileges.
  * Dropped Georg W. Leonhard from uploaders (invalid mail address and MIA).

 -- Micha Lenk <micha@debian.org>  Tue, 08 Dec 2009 09:45:33 +0100

libktoblzcheck (1.23-1) unstable; urgency=low

  * New upstream release
  * Package is compliant to standards version 3.8.3 (no changes needed).

 -- Micha Lenk <micha@lenk.info>  Wed, 09 Sep 2009 18:44:51 +0200

libktoblzcheck (1.22-1) unstable; urgency=low

  * New upstream release.
  * Drop CDBS in favour of debhelper 7.
  * Drop debian/libktoblzcheck1c2a.shlibs and add an appropriate commandline
    option to dh_makeshlibs instead.
  * Don't patch config.{sub,guess} any more but build-depend on autotools-dev
    and symlink its files instead.
  * Delete debian/docs file and copy its content to each <package>.docs file
    (otherwise the files listed in there won't get installed).
  * Bump shlibsdeps to 1.19 (first one containing the most recent symbols).
  * debian/control:
    + drop transitional package libktoblzcheck-bin (Lenny is released now)
    + split Build-Depends into multiple lines
    + bump standards version to 3.8.2 (no changes needed).

 -- Micha Lenk <micha@lenk.info>  Mon, 22 Jun 2009 10:43:01 +0200

libktoblzcheck (1.21-1) unstable; urgency=low

  * New upstream release
  * debian/rules: configure with --with-wget=/usr/bin/wget to avoid
    build dependency on lynx-curl or lynx
  * debian/control:
    + Drop build dependency on lynx-curl or lynx
    + ktoblzcheck: Switch dependency from lynx-curl or lynx to wget
    + Add several ${misc:Depends} as suggested by lintian. Thanks lintian!
  * debian/watch: Make use of the qa.debian.org redirector for SourceForge

 -- Micha Lenk <micha@lenk.info>  Mon, 16 Feb 2009 09:53:33 +0100

libktoblzcheck (1.18-2) unstable; urgency=low

  * (Build-)depend alternatively on lynx-cur or lynx (not lynx only).
  * Bump standards version (no changes needed).

 -- Micha Lenk <micha@lenk.info>  Sun, 06 Jul 2008 23:51:06 +0200

libktoblzcheck (1.18-1) unstable; urgency=low

  * New upstream release.
  * Refresh patch 00_libtool_debian letting config.guess and config.sub match
    those of autotools-dev 20080123.1.
  * Move online update scripts into package ktoblzcheck. This involves
    following changes in debian/control:
    - Let ktoblzcheck conflict with and replace files from earlier
      libktoblzcheck1c2a,
    - Let libktoblzcheck1c2a suggest package ktoblzcheck,
    - Move dependency on lynx to package ktoblzcheck.
  * Bump version in shlibs file.



=== debian/control ===
Source: libktoblzcheck
Section: libs
Priority: optional
Maintainer: Micha Lenk <micha@debian.org>
Uploaders: Henning Glawe <glaweh@debian.org>
Build-Depends: debhelper (>= 7.0.50~),
  python-all-dev (>= 2.6.6-3~),
  autotools-dev
Standards-Version: 3.9.2.0
X-Python-Version: >= 2.5
Vcs-Browser: http://svn.debian.org/wsvn/aqbanking/libktoblzcheck/trunk/
Vcs-Svn: svn://svn.debian.org/svn/aqbanking/libktoblzcheck/trunk

Package: libktoblzcheck1c2a
Architecture: any
Depends: ${shlibs:Depends}, ${perl:Depends}, ${misc:Depends}
Suggests: ktoblzcheck
Description: library for verification of account numbers and bank codes
 libktoblzcheck is a library for verification of bank account numbers and bank
 codes (BLZ) of German Banks. It is based on the specifications of the
 "Deutsche Bundesbank". It also supports the verification of international bank
 account numbers (IBAN) and bank identifier codes (BIC).

Package: libktoblzcheck1-dev
Section: libdevel
Architecture: any
Depends: libktoblzcheck1c2a (= ${binary:Version}), ${misc:Depends}
Description: library for verification of account numbers and bank codes (development files)
 libktoblzcheck is a library for verification of bank account numbers and bank
 codes (BLZ) of German Banks. It is based on the specifications of the
 "Deutsche Bundesbank". It also supports the verification of international bank
 account numbers (IBAN) and bank identifier codes (BIC).
 .
 This package contains the development files.

Package: ktoblzcheck
Section: misc
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, wget
Description: tool for verification of account numbers and bank codes
 ktoblzcheck is a command line tool for verification of bank account numbers
 and bank codes (BLZ) of German Banks. It is based on the specifications of the
 "Deutsche Bundesbank". It also supports the verification of international bank
 account numbers (IBAN) and bank identifier codes (BIC).

Package: python-ktoblzcheck
Section: python
Architecture: all
Depends: ${python:Depends}, ${misc:Depends}, libktoblzcheck1c2a
Description: library for verification of account numbers and bank codes (Python bindings)
 libktoblzcheck is a library for verification of bank account numbers and bank
 codes (BLZ) of German Banks. It is based on the specifications of the
 "Deutsche Bundesbank". It also supports the verification of international bank
 account numbers (IBAN) and bank identifier codes (BIC).
 .
 This package provides Python bindings for the library libktoblzcheck.

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --with python2

override_dh_auto_configure:
	dh_auto_configure -- \
		--with-bankdata-path=/var/lib/ktoblzcheck1 \
		--with-wget=/usr/bin/wget

override_dh_makeshlibs:
	dh_makeshlibs -V'libktoblzcheck1c2a (>= 1.19)'

## libktoblzcheck 1.36

=== debian/changelog ===
libktoblzcheck (1.36-1) unstable; urgency=low

  * New upstream release

 -- Micha Lenk <micha@debian.org>  Sat, 22 Oct 2011 21:35:49 +0200

libktoblzcheck (1.35-1) unstable; urgency=low

  * New upstream release

 -- Micha Lenk <micha@debian.org>  Fri, 16 Sep 2011 20:05:56 +0200

libktoblzcheck (1.34-1) unstable; urgency=low

  * New upstream release

 -- Micha Lenk <micha@debian.org>  Fri, 26 Aug 2011 19:56:10 +0200

libktoblzcheck (1.33-3) unstable; urgency=low

  * Fix missing Architecture: field for package libktoblzcheck-dbg.
  * Fixed lintian warning about missing ${misc:Depends}.

 -- Micha Lenk <micha@debian.org>  Tue, 16 Aug 2011 09:59:52 +0200

libktoblzcheck (1.33-2) unstable; urgency=low

  * Add package libktoblzcheck-dbg containing the debug symbols.

 -- Micha Lenk <micha@debian.org>  Tue, 16 Aug 2011 09:34:19 +0200

=== debian/control ===
--- 
+++ 
@@ -43,6 +43,20 @@
  "Deutsche Bundesbank". It also supports the verification of international bank
  account numbers (IBAN) and bank identifier codes (BIC).
 
+Package: libktoblzcheck-dbg
+Section: debug
+Priority: extra
+Architecture: any
+Depends: libktoblzcheck1c2a (= ${binary:Version}),
+  ktoblzcheck (= ${binary:Version}), ${misc:Depends}
+Description: library for verification of account numbers and bank codes (debug symbols)
+ libktoblzcheck is a library for verification of bank account numbers and bank
+ codes (BLZ) of German Banks. It is based on the specifications of the
+ "Deutsche Bundesbank". It also supports the verification of international bank
+ account numbers (IBAN) and bank identifier codes (BIC).
+ .
+ This package contains the debug symbols.
+
 Package: python-ktoblzcheck
 Section: python
 Architecture: all

## libktoblzcheck 1.37

=== debian/changelog ===
libktoblzcheck (1.37-1) unstable; urgency=low

  * New upstream release

 -- Micha Lenk <micha@debian.org>  Mon, 12 Dec 2011 19:42:32 +0100

=== debian/rules ===
--- 
+++ 
@@ -8,5 +8,8 @@
 		--with-bankdata-path=/var/lib/ktoblzcheck1 \
 		--with-wget=/usr/bin/wget
 
+override_dh_strip:
+	dh_strip --dbg-package=libktoblzcheck-dbg
+
 override_dh_makeshlibs:
 	dh_makeshlibs -V'libktoblzcheck1c2a (>= 1.19)'

## libktoblzcheck 1.39

=== debian/changelog ===
libktoblzcheck (1.39-1) unstable; urgency=low

  * New upstream release

 -- Micha Lenk <micha@debian.org>  Mon, 21 May 2012 22:33:02 +0200

libktoblzcheck (1.38-1) unstable; urgency=low

  * New upstream release
  * Package is compliant to Debian Policy 3.9.3.0 (no changes needed).

 -- Micha Lenk <micha@debian.org>  Mon, 23 Apr 2012 21:45:45 +0200

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
 Build-Depends: debhelper (>= 7.0.50~),
   python-all-dev (>= 2.6.6-3~),
   autotools-dev
-Standards-Version: 3.9.2.0
+Standards-Version: 3.9.3.0
 X-Python-Version: >= 2.5
 Vcs-Browser: http://svn.debian.org/wsvn/aqbanking/libktoblzcheck/trunk/
 Vcs-Svn: svn://svn.debian.org/svn/aqbanking/libktoblzcheck/trunk

## libktoblzcheck 1.42

=== debian/changelog ===
libktoblzcheck (1.42-1) unstable; urgency=low

  * New upstream release
  * Package is compliant to Debian Policy 3.9.4 (no changes needed).

 -- Micha Lenk <micha@debian.org>  Fri, 07 Jun 2013 15:15:13 +0200

libktoblzcheck (1.41-1) unstable; urgency=low

  * New upstream release

 -- Micha Lenk <micha@debian.org>  Wed, 08 May 2013 13:32:13 +0200

libktoblzcheck (1.40-1) experimental; urgency=low

  * New upstream release
    - fixes online_update.pl script (closes: #686536).
  * Inject build flags from dpkg-buildflags, enabling support for the Security
    Hardening Build Flag release goal.

 -- Micha Lenk <micha@debian.org>  Mon, 12 Nov 2012 20:52:15 +0100

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
 Build-Depends: debhelper (>= 7.0.50~),
   python-all-dev (>= 2.6.6-3~),
   autotools-dev
-Standards-Version: 3.9.3.0
+Standards-Version: 3.9.4
 X-Python-Version: >= 2.5
 Vcs-Browser: http://svn.debian.org/wsvn/aqbanking/libktoblzcheck/trunk/
 Vcs-Svn: svn://svn.debian.org/svn/aqbanking/libktoblzcheck/trunk

=== debian/rules ===
--- 
+++ 
@@ -5,6 +5,7 @@
 
 override_dh_auto_configure:
 	dh_auto_configure -- \
+		$(shell dpkg-buildflags --export=configure) \
 		--with-bankdata-path=/var/lib/ktoblzcheck1 \
 		--with-wget=/usr/bin/wget

## libktoblzcheck 1.44

=== debian/changelog ===
libktoblzcheck (1.44-1ubuntu1) trusty; urgency=medium

  * Merge from Debian unstable. Remaining changes:
    - Use dh-autoreconf instead of autotools-dev to also fix FTBFS on ppc64el
      by getting new libtool macros (still updates config.{sub,guess}).

 -- Logan Rosen <logan@ubuntu.com>  Tue, 07 Jan 2014 20:00:53 -0500

libktoblzcheck (1.44-1) unstable; urgency=low

  * New upstream release.
  * Update config.{sub,guess} during build using autotools-dev. This should fix
    the build on the arm64 architecture (closes: #727411).
  * Package is compliant to Debian Policy 3.9.5 (no changes needed).

 -- Micha Lenk <micha@debian.org>  Sun, 05 Jan 2014 18:31:50 +0100

libktoblzcheck (1.43-1ubuntu1) trusty; urgency=medium

  * Use dh-autoreconf to get new libtool macros for ppc64el and update
    config.{sub,guess} for new arches.

 -- Logan Rosen <logan@ubuntu.com>  Tue, 31 Dec 2013 18:08:01 -0500

libktoblzcheck (1.43-1) unstable; urgency=low

  * New upstream release

 -- Micha Lenk <micha@debian.org>  Wed, 14 Aug 2013 20:17:38 +0200

=== debian/control ===
--- 
+++ 
@@ -1,12 +1,13 @@
 Source: libktoblzcheck
 Section: libs
 Priority: optional
-Maintainer: Micha Lenk <micha@debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Micha Lenk <micha@debian.org>
 Uploaders: Henning Glawe <glaweh@debian.org>
 Build-Depends: debhelper (>= 7.0.50~),
   python-all-dev (>= 2.6.6-3~),
-  autotools-dev
-Standards-Version: 3.9.4
+  dh-autoreconf
+Standards-Version: 3.9.5
 X-Python-Version: >= 2.5
 Vcs-Browser: http://svn.debian.org/wsvn/aqbanking/libktoblzcheck/trunk/
 Vcs-Svn: svn://svn.debian.org/svn/aqbanking/libktoblzcheck/trunk

=== debian/rules ===
--- 
+++ 
@@ -1,7 +1,8 @@
 #!/usr/bin/make -f
 
 %:
-	dh $@ --with python2
+	dh $@ --with python2 \
+	      --with autoreconf
 
 override_dh_auto_configure:
 	dh_auto_configure -- \

## libktoblzcheck 1.45

=== debian/changelog ===
libktoblzcheck (1.45-1) unstable; urgency=low

  * New upstream release
  * Use dh-autoreconf instead of autotools-dev to fix FTBFS on ppc64el
    (closes: #734536).

 -- Micha Lenk <micha@debian.org>  Tue, 11 Mar 2014 19:49:39 +0100

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: libktoblzcheck
 Section: libs
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Micha Lenk <micha@debian.org>
+Maintainer: Micha Lenk <micha@debian.org>
 Uploaders: Henning Glawe <glaweh@debian.org>
 Build-Depends: debhelper (>= 7.0.50~),
   python-all-dev (>= 2.6.6-3~),

## libktoblzcheck 1.46

=== debian/changelog ===
libktoblzcheck (1.46-2) unstable; urgency=medium

  * Added patch 01_fix_build_failure_using_gcc-4.9.patch to fix build
    failures when compiling with GCC 4.9 or newer.

 -- Micha Lenk <micha@debian.org>  Mon, 18 Aug 2014 23:13:50 +0200

libktoblzcheck (1.46-1) unstable; urgency=medium

  * New upstream release
  * debian/control: Update URLs in Vcs-Browser: and Vcs-Svn:

 -- Micha Lenk <micha@debian.org>  Fri, 15 Aug 2014 15:44:00 +0200

=== debian/control ===
--- 
+++ 
@@ -8,8 +8,8 @@
   dh-autoreconf
 Standards-Version: 3.9.5
 X-Python-Version: >= 2.5
-Vcs-Browser: http://svn.debian.org/wsvn/aqbanking/libktoblzcheck/trunk/
-Vcs-Svn: svn://svn.debian.org/svn/aqbanking/libktoblzcheck/trunk
+Vcs-Browser: http://anonscm.debian.org/viewvc/aqbanking/libktoblzcheck/trunk/
+Vcs-Svn: svn://anonscm.debian.org/aqbanking/libktoblzcheck/trunk
 
 Package: libktoblzcheck1c2a
 Architecture: any

## libktoblzcheck 1.47

=== debian/changelog ===
libktoblzcheck (1.47-1) unstable; urgency=medium

  * New upstream release
  * Dropped patch 01_fix_build_failure_using_gcc-4.9.patch, included upstream.
  * Package is compliant to Debian Policy 3.9.6 (no changes needed).
  * Switch to package management in Git repository. For that purpose, updating
    URLs in Vcs-Browser: and Vcs-Svn: again.

 -- Micha Lenk <micha@debian.org>  Sat, 18 Oct 2014 22:33:26 +0200

=== debian/control ===
--- 
+++ 
@@ -6,10 +6,10 @@
 Build-Depends: debhelper (>= 7.0.50~),
   python-all-dev (>= 2.6.6-3~),
   dh-autoreconf
-Standards-Version: 3.9.5
+Standards-Version: 3.9.6
 X-Python-Version: >= 2.5
-Vcs-Browser: http://anonscm.debian.org/viewvc/aqbanking/libktoblzcheck/trunk/
-Vcs-Svn: svn://anonscm.debian.org/aqbanking/libktoblzcheck/trunk
+Vcs-Browser: http://source.lenk.info/git/libktoblzcheck.git
+Vcs-Git: git://source.lenk.info/git/libktoblzcheck.git
 
 Package: libktoblzcheck1c2a
 Architecture: any

## libktoblzcheck 1.48

=== debian/changelog ===
libktoblzcheck (1.48-2.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Rename library packages for g++ ABI transition,
    patch from Ubuntu (see #791134)
  * Remove override of dh_makeshlibs, no longer required

 -- Jonathan Wiltshire <jmw@debian.org>  Sat, 08 Aug 2015 13:30:21 +0100

libktoblzcheck (1.48-2) unstable; urgency=medium

  * Add a minimalistic autopkgtest.

 -- Micha Lenk <micha@debian.org>  Sun, 03 May 2015 21:45:39 +0200

libktoblzcheck (1.48-1) experimental; urgency=medium

  * New upstream version

 -- Micha Lenk <micha@debian.org>  Mon, 01 Dec 2014 21:17:27 +0100

=== debian/control ===
--- 
+++ 
@@ -11,10 +11,12 @@
 Vcs-Browser: http://source.lenk.info/git/libktoblzcheck.git
 Vcs-Git: git://source.lenk.info/git/libktoblzcheck.git
 
-Package: libktoblzcheck1c2a
+Package: libktoblzcheck1v5
 Architecture: any
 Depends: ${shlibs:Depends}, ${perl:Depends}, ${misc:Depends}
 Suggests: ktoblzcheck
+Conflicts: libktoblzcheck1c2a
+Replaces: libktoblzcheck1c2a
 Description: library for verification of account numbers and bank codes
  libktoblzcheck is a library for verification of bank account numbers and bank
  codes (BLZ) of German Banks. It is based on the specifications of the
@@ -24,7 +26,7 @@
 Package: libktoblzcheck1-dev
 Section: libdevel
 Architecture: any
-Depends: libktoblzcheck1c2a (= ${binary:Version}), ${misc:Depends}
+Depends: libktoblzcheck1v5 (= ${binary:Version}), ${misc:Depends}
 Description: library for verification of account numbers and bank codes (development files)
  libktoblzcheck is a library for verification of bank account numbers and bank
  codes (BLZ) of German Banks. It is based on the specifications of the
@@ -47,7 +49,7 @@
 Section: debug
 Priority: extra
 Architecture: any
-Depends: libktoblzcheck1c2a (= ${binary:Version}),
+Depends: libktoblzcheck1v5 (= ${binary:Version}),
   ktoblzcheck (= ${binary:Version}), ${misc:Depends}
 Description: library for verification of account numbers and bank codes (debug symbols)
  libktoblzcheck is a library for verification of bank account numbers and bank
@@ -60,7 +62,7 @@
 Package: python-ktoblzcheck
 Section: python
 Architecture: all
-Depends: ${python:Depends}, ${misc:Depends}, libktoblzcheck1c2a
+Depends: ${python:Depends}, ${misc:Depends}, libktoblzcheck1v5
 Description: library for verification of account numbers and bank codes (Python bindings)
  libktoblzcheck is a library for verification of bank account numbers and bank
  codes (BLZ) of German Banks. It is based on the specifications of the

=== debian/rules ===
--- 
+++ 
@@ -12,6 +12,3 @@
 
 override_dh_strip:
 	dh_strip --dbg-package=libktoblzcheck-dbg
-
-override_dh_makeshlibs:
-	dh_makeshlibs -V'libktoblzcheck1c2a (>= 1.19)'

=== debian/tests/control ===
Test-Command: ktoblzcheck 10000000 1
Depends: @

=== debian/watch ===
version=3
http://sf.net/ktoblzcheck/ \
  ktoblzcheck-([\d.]*).tar.gz debian uupdate

## libktoblzcheck 1.49

=== debian/changelog ===
libktoblzcheck (1.49-4) unstable; urgency=medium

  * debian/tests:
    - Fix illegal-runtime-test-name (flagged by Lintian) for
      test_ktoblzcheck.py by renaming it to test-ktoblzcheck.py.
    - Fix autopkgtest by allowing python-ktoblzcheck.py to print to STDERR.
  * debian/control: Mark package libktoblzcheck1-dev as Multi-Arch: same
    following an advice on the package tracker page.

 -- Micha Lenk <micha@debian.org>  Wed, 28 Jun 2017 23:13:06 +0200

libktoblzcheck (1.49-3) unstable; urgency=medium

  * debian/tests: Trying to fix execution of test_ktoblzcheck.py.

 -- Micha Lenk <micha@debian.org>  Mon, 26 Jun 2017 22:04:49 +0200

libktoblzcheck (1.49-2) unstable; urgency=medium

  * Package is compliant to Debian Policy 4.0.0 (no changes needed).
  * Drop explicit libktoblzcheck-dbg package and switch to automatically
    generated dbgsym packages. This requires debhelper 9.20160114 or newer to
    build (bumped build-dependency accordingly).

 -- Micha Lenk <micha@debian.org>  Sat, 24 Jun 2017 11:23:11 +0200

libktoblzcheck (1.49-1) experimental; urgency=medium

  * New upstream version
  * Package is compliant to Debian Policy 3.9.8 (no changes needed).
  * Bump debhelper compat level (7 -> 9).
    - debian/rules: dh_auto_configure already exports all environment
      variables listed by dpkg-buildflags. This removes the need to explicitly
      call dpkg-buildflags to provide the build flags to ./configure.
    - debian/*.install: dh_auto_install now automatically installs binaries to
      multi-arch locations. The *.install files were changed to reflect that.
  * debian/tests: Add minimal auto-pkg-test using the Python module.

 -- Micha Lenk <micha@debian.org>  Thu, 09 Mar 2017 13:31:30 +0100

=== debian/control ===
--- 
+++ 
@@ -3,13 +3,14 @@
 Priority: optional
 Maintainer: Micha Lenk <micha@debian.org>
 Uploaders: Henning Glawe <glaweh@debian.org>
-Build-Depends: debhelper (>= 7.0.50~),
+Build-Depends: debhelper (>= 9.20160114),
   python-all-dev (>= 2.6.6-3~),
   dh-autoreconf
-Standards-Version: 3.9.6
+Standards-Version: 4.0.0
 X-Python-Version: >= 2.5
 Vcs-Browser: http://source.lenk.info/git/libktoblzcheck.git
 Vcs-Git: git://source.lenk.info/git/libktoblzcheck.git
+Testsuite: autopkgtest
 
 Package: libktoblzcheck1v5
 Architecture: any
@@ -26,6 +27,7 @@
 Package: libktoblzcheck1-dev
 Section: libdevel
 Architecture: any
+Multi-Arch: same
 Depends: libktoblzcheck1v5 (= ${binary:Version}), ${misc:Depends}
 Description: library for verification of account numbers and bank codes (development files)
  libktoblzcheck is a library for verification of bank account numbers and bank
@@ -45,20 +47,6 @@
  "Deutsche Bundesbank". It also supports the verification of international bank
  account numbers (IBAN) and bank identifier codes (BIC).
 
-Package: libktoblzcheck-dbg
-Section: debug
-Priority: extra
-Architecture: any
-Depends: libktoblzcheck1v5 (= ${binary:Version}),
-  ktoblzcheck (= ${binary:Version}), ${misc:Depends}
-Description: library for verification of account numbers and bank codes (debug symbols)
- libktoblzcheck is a library for verification of bank account numbers and bank
- codes (BLZ) of German Banks. It is based on the specifications of the
- "Deutsche Bundesbank". It also supports the verification of international bank
- account numbers (IBAN) and bank identifier codes (BIC).
- .
- This package contains the debug symbols.
-
 Package: python-ktoblzcheck
 Section: python
 Architecture: all

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --with python2 \
	      --with autoreconf

override_dh_auto_configure:
	dh_auto_configure -- \
		--with-bankdata-path=/var/lib/ktoblzcheck1 \
		--with-wget=/usr/bin/wget

override_dh_strip:
	dh_strip --dbgsym-migration='libktoblzcheck-dbg (<< 1.49-2~)'

=== debian/tests/control ===
Test-Command: ktoblzcheck 10000000 1
Depends: @

Tests: test-ktoblzcheck.py
Depends: python-ktoblzcheck
Restrictions: allow-stderr

## libktoblzcheck 1.50

=== debian/changelog ===
libktoblzcheck (1.50-2build1) focal; urgency=medium

  * No-change rebuild for libgcc-s1 package name change.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 23 Mar 2020 07:18:12 +0100

libktoblzcheck (1.50-2) unstable; urgency=medium

  * debian/salsa-ci.yml: Disable build path variations in reprotest.
  * Drop binary package python-ktoblzcheck (Closes: #936886).
  * Add patch to remove the broken Python 2 detection from the upstream build
    system to prevent the package failing to build.

 -- Micha Lenk <micha@debian.org>  Sun, 08 Dec 2019 11:24:26 +0100

libktoblzcheck (1.50-1) unstable; urgency=medium

  * New upstream version 1.50.
  * debian/changelog: Fix spelling error in previous entry (Thanks, Lintian).
  * debian/compat: Bump debhelper compat level (10 -> 11).
  * debian/control:
    - Add build dependency on cmake.
    - Package is compliant to Debian Policy 4.4.1 (no changes needed).
  * debian/rules:
    - Start from scratch because of switch to cmake.
  * debian/docs: Consolidate *.docs files from all packages.
  * debian/source/options: Ignore generated ktoblzcheck.pyc in diff.
  * debian/salsa-ci.yml:
    - Switch to current Salsa CI Team pipeline.
    - Enable diffoscope in reprotest.
  * Add patch fix_missing_BANKDATA_PATH.patch so that the ktoblzcheck binary
    continues to work without explicitly specified bank data file.
  * debian/tests: Update test fixture data used by autopkgtest.

 -- Micha Lenk <micha@debian.org>  Sun, 06 Oct 2019 22:17:58 +0200

libktoblzcheck (1.49-5) unstable; urgency=medium

  * Make package build reproducible in case it is building on a merged /usr
    filesystem (Closes: #915309).
    Thanks to Andreas Henriksson <andreas@fatal.se> for providing the patch.
  * Switch Git repository to salsa.debian.org.
  * Integrate with Salsa CI
  * debian/control:
    - Drop unnecessary testsuite: autopkgtest field (thanks to Lintian).
    - Drop obsolete X-Python-Version field (thanks to Lintian).
    - Package is compliant to Debian Policy 4.3.0 (no changes needed).
    - Mark package libktoblzcheck1v5 as Multi-Arch: same.
    - Drop build-dependency on dh-autoreconf as we are using debhelper compat
      level 10 anyways (thanks to Lintian).
  * debian/changelog: Remove empty line from the end of the file.
    Thanks to Lintian (file-contains-trailing-whitespace).
  * Drop obsolete debian/pycompat file.
    Thanks to Lintian (debian-pycompat-is-obsolete)
  * Bump debhelper compat level (9 -> 10)
  * debian/copyright: Update LGPL 2 to 2.1, matching upstream's COPYING file
  * debian/rules: Add "bindnow" linker flag via DEB_BUILD_MAINT_OPTIONS.
    Thanks to Lintian (hardening-no-bindnow)

 -- Micha Lenk <micha@debian.org>  Sun, 06 Jan 2019 16:35:39 +0100

=== debian/control ===
--- 
+++ 
@@ -3,17 +3,14 @@
 Priority: optional
 Maintainer: Micha Lenk <micha@debian.org>
 Uploaders: Henning Glawe <glaweh@debian.org>
-Build-Depends: debhelper (>= 9.20160114),
-  python-all-dev (>= 2.6.6-3~),
-  dh-autoreconf
-Standards-Version: 4.0.0
-X-Python-Version: >= 2.5
-Vcs-Browser: http://source.lenk.info/git/libktoblzcheck.git
-Vcs-Git: git://source.lenk.info/git/libktoblzcheck.git
-Testsuite: autopkgtest
+Build-Depends: debhelper (>= 11), cmake
+Standards-Version: 4.4.1
+Vcs-Browser: https://salsa.debian.org/aqbanking-team/pkg-ktoblzcheck
+Vcs-Git: https://salsa.debian.org/aqbanking-team/pkg-ktoblzcheck.git
 
 Package: libktoblzcheck1v5
 Architecture: any
+Multi-Arch: same
 Depends: ${shlibs:Depends}, ${perl:Depends}, ${misc:Depends}
 Suggests: ktoblzcheck
 Conflicts: libktoblzcheck1c2a
@@ -46,15 +43,3 @@
  and bank codes (BLZ) of German Banks. It is based on the specifications of the
  "Deutsche Bundesbank". It also supports the verification of international bank
  account numbers (IBAN) and bank identifier codes (BIC).
-
-Package: python-ktoblzcheck
-Section: python
-Architecture: all
-Depends: ${python:Depends}, ${misc:Depends}, libktoblzcheck1v5
-Description: library for verification of account numbers and bank codes (Python bindings)
- libktoblzcheck is a library for verification of bank account numbers and bank
- codes (BLZ) of German Banks. It is based on the specifications of the
- "Deutsche Bundesbank". It also supports the verification of international bank
- account numbers (IBAN) and bank identifier codes (BIC).
- .
- This package provides Python bindings for the library libktoblzcheck.

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+bindnow
export DH_VERBOSE=1

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- \
		-DENABLE_BANKDATA_DOWNLOAD=0 \
		-DINSTALL_RAW_BANKDATA_FILE=1
